### Class

# FwupdPlugin UsbDeviceMsDs20

#### Description

    final class FwupdPlugin.UsbDeviceMsDs20 : FwupdPlugin.UsbDeviceDs20
    {
      /* No available fields */
    }

No description available.

#### Hierarchy

#### Ancestors

- FuUsbDeviceDs20
- FuFirmware
- GObject

#### Constructors

###### fu_usb_device_ms_ds20_new

Creates a new `FuUsbDeviceMsDs20`.

since: 1.8.5

#### Functions

###### fu_usb_device_ms_ds20_desc_to_string

Converts an enumerated value to a string.

#### Instance methods

##### Methods inherited from FuUsbDeviceDs20 (2)

###### fu_usb_device_ds20_apply_to_device

Sets the DS20 descriptor onto `device`.

since: 1.8.5

###### fu_usb_device_ds20_set_version_lowest

Sets the lowest possible `platform_ver` for a DS20 descriptor.

since: 1.8.5

##### Methods inherited from FuFirmware (67)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginUsbDeviceMsDs20Class {
      FuUsbDeviceDs20Class parent_class;

    }

No description available.

###### Class members

`parent_class: FuUsbDeviceDs20Class`

  No description available.